task depth {
	File bam
	File bam_idx
	String sample_id
	File regions
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		/opt/conda/bin/samtools depth -b ${regions} ${bam} > ${sample_id}.depth
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File bam_depth = "${sample_id}.depth"
	}
}
