import "./tasks/depth.wdl" as depth


workflow {{ project_name }} {
	File bam
	File bam_idx
	String sample_id
	File regions
	String docker
	String cluster_config
	String disk_size

	call depth.depth as depth {
		input:	
		bam=bam,
		bam_idx=bam_idx,
		sample_id=sample_id,
		regions=regions,
		docker=docker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
}